Subject: [jose] Status of JPSK

From: Justin Richer <[email-masked]>
Date: Tue, 5 Mar 2013 09:39:50 -0500

I searched through the archives, but I couldn't find a conclusion to the 
discussion of JPSK:

http://tools.ietf.org/id/draft-jones-jose-json-private-and-symmetric-key-00.html

We see some utility in using it as a format for storing and managing 
server keys in a deployment setting (right now we're using Java Key 
Stores, which is less than ideal for this purpose), and we're looking to 
incorporate the format into an open source JOSE library that we use. The 
spec itself seems very straightforward, but I couldn't find information 
on the WG's intentions with it. Will it be incorporated into JWK? Will 
it become a standalone document in the JOSE canon? Will it remain an 
individual submission?

  -- Justin

---

From: Richard Barnes <[email-masked]>
Date: Wed, 6 Mar 2013 10:50:04 -0500

That question is on the agenda for discussion next Wednesday.

My preference would be to fold these considerations into JWK and JWA, as
appropriate.

On Tue, Mar 5, 2013 at 9:39 AM, Justin Richer <[email-masked]> wrote:

> http://tools.ietf.org/id/**draft-jones-jose-json-private-**
> and-symmetric-key-00.html<http://tools.ietf.org/id/draft-jones-jose-json-private-and-symmetric-key-00.html>
>
> server keys in a deployment setting (right now we're using Java Key Stores,
> which is less than ideal for this purpose), and we're looking to
> spec itself seems very straightforward, but I couldn't find information on
> the WG's intentions with it. Will it be incorporated into JWK? Will it
> become a standalone document in the JOSE canon? Will it remain an
> individual submission?
>
>  -- Justin
> ______________________________**_________________
> jose mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/jose<https://www.ietf.org/mailman/listinfo/jose>
>